Bug 990326 - xboard is configured to use fairymax by default, which is not available
xboard is configured to use fairymax by default, which is not available
Product: Fedora
Classification: Fedora
Component: xboard (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Christopher Aillon (sabbatical, not receiving bugmail)
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-30 19:23 EDT by Jochen Wiedmann
Modified: 2015-02-17 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 11:27:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jochen Wiedmann 2013-07-30 19:23:16 EDT
Description of problem:

When I launch xboard, it comes preconfigured to use a chess engine called fairymax. Additional configurations seem to exist for (at least) Fruit, Crafty, 
and GNU Chess. Unfortunately, none of these seem to be available as RPM'S, the exception being GNU Chess.

IMO, either of the following should be desirable:

* xboard detects automatically, which engines are actually installed, and available (Suggestion: Use a directory /etc/xboard.d/ with config files that are installed as part of the engine, much like /etc/yum.repos.d)
* It should be sufficient to install the respective engine to use it. This is not the case with GNU Chess (error message indicates lack of a file /usr/share/gnuchess/gnuchess.ini)

Version-Release number of selected component (if applicable):

XBoard 4.6.2 + fairymax

How reproducible:

Launch XBoard and play a move, or select another engine (Engine/Load new engine.../Select engine from list)

Steps to Reproduce:

Actual results:

Error messages indicate, that the respective engine is unavailable or can't be used for other reasons.

Expected results:

If an engine is unavailable, it should be possible to install it.

Additional info:
Comment 1 H.G. Muller 2014-11-12 12:14:31 EST
The new XBoard 4.8 has a feature aimed at addressing this problem, in a way similar to what is suggested. The directories that XBoard will search to detect the presence of engines are:


(Because of the optional 'local', this is 4 directories in total.)
Note that directories were chosen that are not part of XBoard's installation tree, because this information is of general use: there are other GUIs (SCID, eboard) that support XBoard protocol, and there could be more in the future. So rather than associating this information with a particular GUI, hiding it for others, the idea is that it should be publicly available, grouped by protocol. Then any GUI can search the directories for the protocols it supports. (XBoard protocol is sometimes referred to as CECP, but I thought naming the directory xboard would be less confusing.)

Engines are supposed to drop a file ENGINENAME.eng there (e.g. fairymax.eng, gnuchess.eng). This file should contain as first 'magic' line "plugin spec 0.0", as second line the command needed to run the engine with the given protocol, and the third line a comma-separated line of what games it supports. (Currently only "chess" and "chess960" are defined.

The current XBoard implementation scans the directories at startup, and automatically adds any new engines to the user's list of installed engines in the XBoard settings file. So that the user can easily select them from the Load Engine menu dialog.
Comment 2 Fedora End Of Life 2015-01-09 14:11:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:27:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.